Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.registry.entries
Class RegistryEntry

    java.lang.Object
      com.bea.wsrp.registry.entries.BaseEntry
          com.bea.wsrp.registry.entries.RegistryEntry

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  BookEntry, PageEntry, PortletEntry

    public abstract class RegistryEntry

extends BaseEntry

A producer published registry entry.

See Also
  Serialized Form

Constructor Summary
`protected` | `RegistryEntry(String name, String handle)` Creates an entry with a name and a handle.

Method Summary
`boolean` | `equals(Object o)`
`abstract String` | `getConceptName()` Name of the concept.
`abstract String` | `getEntryHandleName()` Returns the type of the entry.
`abstract String` | `getEntryType()` Returns the name of the entry.
`String` | `getHandle()` Returns a unique key as assigned by the Producer.
`ProducerEntry` | `getProducer()` Returns the associated producer.
`javax.xml.registry.infomodel.Key` | `getProducerServiceKey()` Sets the producer's business service key.
`void` | `setProducer(ProducerEntry producer)` Associates this entry with a producer.
`void` | `setProducerServiceKey(javax.xml.registry.infomodel.Key producerServiceKey)` Returns the producer's business service key.

Methods inherited from class com.bea.wsrp.registry.entries.BaseEntry
`addKeyword, addKeywords, getBusinessKey, getDescription, getKeywords, getName, getServiceKey, getTitle, setBusinessKey, setDescription, setKeywords, setServiceKey, setTitle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistryEntry

    protected RegistryEntry(String name,
                            String handle)

  Creates an entry with a name and a handle.

  Parameters
    `name` -
    `handle` -

Method Detail

### setProducer

    public void setProducer(ProducerEntry producer)

  Associates this entry with a producer.

  Parameters
    `producer` -

### getProducer

    public ProducerEntry getProducer()

  Returns the associated producer.

  Returns
    producer

### setProducerServiceKey

    public void setProducerServiceKey(javax.xml.registry.infomodel.Key producerServiceKey)

  Returns the producer's business service key.

  Parameters
    `producerServiceKey` -

### getProducerServiceKey

    public javax.xml.registry.infomodel.Key getProducerServiceKey()

  Sets the producer's business service key.

  Returns
    service key of the producer

### getEntryHandleName

    public abstract String getEntryHandleName()

  Returns the type of the entry.

  Returns
    type

### getEntryType

    public abstract String getEntryType()

  Returns the name of the entry.

### getConceptName

    public abstract String getConceptName()

  Name of the concept. For UDDI, this is the name of the tModel for this type of registry entry.

  Returns
    name of the concept

### getHandle

    public String getHandle()

  Returns a unique key as assigned by the Producer. For portlets this maps to portletHandle, for pages, this maps to pageHandle, and for books, this maps to bookHandle.

  Returns
    key

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `BaseEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.